import { DecimalLike } from "./decimal-like";
declare type FormatNumberOptions = {
    numDecimals?: number;
};
/**
 * Format a value with thousands separators and a fixed value of decimal places
 *
 * @param value The value to format
 * @param opts Optional set of options to use when formatting the number.
 * @param opts.numDecimals The number of decimals to use when formatting the number.
 * @returns A string representation of the number.
 */
export declare const formatNumber: (value?: DecimalLike | null, { numDecimals }?: FormatNumberOptions) => string;
export {};
