"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatNumber = void 0;
const as_decimal_1 = require("./as-decimal");
/**
 * Format a value with thousands separators and a fixed value of decimal places
 *
 * @param value The value to format
 * @param opts Optional set of options to use when formatting the number.
 * @param opts.numDecimals The number of decimals to use when formatting the number.
 * @returns A string representation of the number.
 */
const formatNumber = (value, { numDecimals } = {}) => {
    const decimal = (0, as_decimal_1.asDecimal)(value);
    const str = numDecimals ? decimal.toFixed(numDecimals) : decimal.toString();
    const parts = str.split(".");
    parts[0] = parts[0].replace(/\B(?=(\d{3})+(?!\d))/g, ",");
    const combined = parts.join(".");
    return combined;
};
exports.formatNumber = formatNumber;
