import { DecimalLike } from "./decimal-like";
declare type HumanNumberOptions = {
    useWords?: boolean;
};
/**
 * Convert a Decimal-Like param (string, number, Decimal) to a human-readable number in a string.
 *
 * @param value The DecimalLike number to convert to a human-readable number.
 * @param opts The options to use when converting the number to a human-readable number.
 * @param opts.useWords If true, use full words, instead of abbreviations (e.g. 'billion' instead of 'B')
 * @returns
 */
export declare const humanNumber: (value?: DecimalLike | null, { useWords }?: HumanNumberOptions) => string;
export {};
