"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isDecimal = void 0;
const decimal_js_1 = __importDefault(require("decimal.js"));
/**
 * Determines if a parameter is a Decimal type, while also indicating to the
 * Typescript parser to treat the value as a Decimal going forward
 *
 * @param value the value to check
 * @returns true if the item is a Decimal, false otherwise
 */
const isDecimal = (value) => {
    return decimal_js_1.default.isDecimal(value);
};
exports.isDecimal = isDecimal;
